using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FluentValidation;
using Hotline.Application.Contracts.Validators.Orgs;
using Hotline.Share.Dtos.FlowEngine;

namespace Hotline.Application.Contracts.Validators.FlowEngine
{
    public class BasicWorkflowDtoValidator : AbstractValidator<BasicWorkflowDto>
    {
        public BasicWorkflowDtoValidator()
        {
            RuleFor(d => d.BusinessType).NotNull();
            RuleFor(d => d.HandlerType).NotNull();
        }
    }

    public class RecallDtoValidator : AbstractValidator<RecallDto>
    {
        public RecallDtoValidator()
        {
            Include(new BasicWorkflowDtoValidator());
        }
    }
}
